Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6029 - X install no go if serial mouse on PS/2 machine
Summary: X install no go if serial mouse on PS/2 machine
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-18 00:21 UTC by Chris Ricker
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-15 20:30:02 UTC


Attachments (Terms of Use)

Description Chris Ricker 1999-10-18 00:21:01 UTC
I have machines with PS/2 ports (which cannot be turned off
in the BIOS) with which we use serial mice.  The X-based
installer refuses to start in this scenario, as it assumes
if there's a PS/2 port that there's also a PS/2 mouse,
instead of probing for serial mice as well.

Comment 1 Erik Troan 1999-10-28 15:23:59 UTC
What's happening? Is X starting and the mouse not working, or is the
server failing and returning you to text modes with error messages
on the screen?

Comment 2 Chris Ricker 1999-10-28 22:54:59 UTC
The server's failing to start.  The only messages I get are:

Probing for mouse type
<wait a bit>
X startup failed, falling back to text install

there are no temp. files from XFree86 in /tmp afterwards, no messages
on any of the other consoles, etc.

Comment 3 Jay Turner 2000-02-15 20:29:59 UTC
This issue is resolved in the next cut of the beta tree.


Note You need to log in before you can comment on or make changes to this bug.